<?php 
//Encabezados HTTP de Content-Type
function peticion_es_css() {
	$archivo_principal_del_request = determinar_archivo_principal_del_request();
	$r = preg_match("~\.css~", $archivo_principal_del_request);
	$es_de_css = ($r!==0);
	RETURN $es_de_css;
} //Fin de peticion_es_css

function determinar_archivo_principal_del_request() {
	//Esto es como para un paquete común de Apache/php en nuestra plataforma
	/*
	A continuación: vemos si es posible evitar que sea necesario que en el archivo principal del request 
	sea necesario recoger la variable __file__
	*/
	if(isset($_SERVER["PHP_SELF"])) {
		$archivo_principal_del_request = $_SERVER["PHP_SELF"];
	} else if ( $_SERVER["SCRIPT_NAME"] ) {
		$archivo_principal_del_request = $_SERVER["SCRIPT_NAME"];
	} else if ( $_SERVER["SCRIPT_FILENAME"] ) {
		$archivo_principal_del_request = $_SERVER["SCRIPT_FILENAME"];
	} else if ( $_SERVER["REQUEST_URI"] ) {
		$archivo_principal_del_request = $_SERVER["REQUEST_URI"];
	} else {
		error_y_salir("##Error20260801074027-2041dav: No se pudo determinar el archivo_principal_del_request");
	}
	return $archivo_principal_del_request;
} //Fin de determinar_archivo_principal_del_request

	
if (peticion_es_css()) {
	/*
	##20260801
	Se deben tener tres cosas en cuenta: 
		1-El apache, que interprete el php    (con el AddHandler del Apache, y se pone una extensión que así lo indique, 
											  quizá lo más convencional sería usar una extensión que incluya .php 
											  pero también .css, en este orden: .php.css, y no al revés, para que el editor funcione)
											  Diferente AddType que AddHandler. Esto se logra es con AddHandler.
											  Se puede poner en .htaccess, o en httpd.conf o en httpd-vhosts.conf
											  
											  
  <FilesMatch "\.(php|php.css)$">
    SetHandler application/x-httpd-php
</FilesMatch>
<FilesMatch "\.phps$">
    SetHandler application/x-httpd-php-source
</FilesMatch>
		2-El navegador, que interprete el css (con el http header Content-Type)
		3-El editor de texto, que interprete el css (con la extensión final .css)
	
	Para que Apache interprete el archivo como php, se debe usar un addHandler, ejemplo:
	
	El Content-Type debe ser text/css
	
	Y la extensión debe terminar en .css para que el editor funcione bien.
	*/
	header("Content-Type: text/css; charset=utf-8"); /*OJO: También para CSS se requiere el charset.
													 //Se debe especificar el text/css para que funcionen
													 //directivas de css como 
													     .disparador_leerMas::before {
																content: "<?php t("Read more");  ?> +";
														 }
														 Sin Content-Type: text/css, esto no funciona en styles.php.css
														 Ver proyecto evelyn2-snapshot-2026-08-01,11:44
														*/
} else {
	header("Content-Type: text/html; charset=utf-8");
}